summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2019-12-21 04:46:30 +0100
committer Willy Sudiarto Raharjo2019-12-21 04:46:30 +0100
commitc01110e44e276cc598da1977168ddb1df104fa33 (patch)
treef24c6b7ab1039c65a057509f4fa2df058eafbf0f /development
parent4ee57dc84bc8fa8eb976fcc2bf9d0fc9ecd83a0f (diff)
downloadslackbuilds-c01110e44e276cc598da1977168ddb1df104fa33.tar.gz
development/frobtads: Added (Interactive compiler and interpreter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/frobtads/README23
-rw-r--r--development/frobtads/frobtads.SlackBuild90
-rw-r--r--development/frobtads/frobtads.info10
-rw-r--r--development/frobtads/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/development/frobtads/README b/development/frobtads/README
new file mode 100644
index 0000000000..8e0cc2c75b
--- /dev/null
+++ b/development/frobtads/README
@@ -0,0 +1,23 @@
+frobtads (interactive fiction compiler and interpreter for TADS)
+
+FrobTADS is a full version of TADS for Unix, Linux, and Mac OS X, by
+Nikos Chantziaras. It includes everything you need for playing and
+writing TADS games, including a text-only TADS interpreter and the
+compilers for both TADS 2 and 3.
+
+The latest text-only TADS features are supported, including colored text
+and backgrounds, TADS 3 banner windows, and timed input.
+
+Both Tads 2 (*.gam) as well as Tads 3 (*.t3) games are supported. You can
+find a selection of games at http://www.ifarchive.org/if-archive/games/tads/
+
+Package includes:
+
+frob - interpreter for TADS 2 and 3 games.
+frobd - debugger-capabale version of frob (debugger not included).
+t3make - compiler for TADS 3.
+tadsc - compiler for TADS 2.
+tadsrsc - TADS 2 resource manager.
+
+No man pages are included, but the built-in help output for each command
+is very detailed (try each command with either --help or no arguments).
diff --git a/development/frobtads/frobtads.SlackBuild b/development/frobtads/frobtads.SlackBuild
new file mode 100644
index 0000000000..d4066290cf
--- /dev/null
+++ b/development/frobtads/frobtads.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for frobtads
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: the homepage shows 1.2.3 as the latest release, but the github
+# page has 1.2.4, which includes the resource compiler (which seems
+# pretty important).
+
+# TODO: maybe write some man pages.
+
+PRGNAM=frobtads
+VERSION=${VERSION:-1.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# I thought to use --enable-t3debug, but that turns out to be for
+# debugging the tads3 compiler itself, not the tads code it's compiling.
+# Not useful to anyone but upstream... --enable-frobd might be of use
+# to someone, though it requires an external debugger (not included here).
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-frobd \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install-strip DESTDIR=$PKG
+
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR
+# don't need these in the pkg:
+rm -f doc/INSTALL doc/MacOSX
+cp -a doc/* $DOCDIR
+ln -s ../../share/$PRGNAM/tads3/doc $DOCDIR/tads3_doc
+cat $CWD/$PRGNAM.SlackBuild > $DOCDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/frobtads/frobtads.info b/development/frobtads/frobtads.info
new file mode 100644
index 0000000000..c9351e215f
--- /dev/null
+++ b/development/frobtads/frobtads.info
@@ -0,0 +1,10 @@
+PRGNAM="frobtads"
+VERSION="1.2.4"
+HOMEPAGE="https://www.tads.org/frobtads.htm"
+DOWNLOAD="https://github.com/realnc/frobtads/releases/download/1.2.4/frobtads-1.2.4.tar.bz2"
+MD5SUM="d4a5b8863664998fb989f3fdd2f63de6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/frobtads/slack-desc b/development/frobtads/slack-desc
new file mode 100644
index 0000000000..05a0362380
--- /dev/null
+++ b/development/frobtads/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+frobtads: frobtads (interactive fiction compiler and interpreter for TADS)
+frobtads:
+frobtads: FrobTADS is a full version of TADS for Unix, Linux, and Mac OS X,
+frobtads: by Nikos Chantziaras. It includes everything you need for playing
+frobtads: and writing TADS games, including a text-only TADS interpreter and
+frobtads: the compilers for both TADS 2 and 3.
+frobtads:
+frobtads: The latest text-only TADS features are supported, including colored
+frobtads: text and backgrounds, TADS 3 banner windows, and timed input.
+frobtads:
+frobtads: